## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests need to run in an environment with Slurm
%bcond tests 0

Name:           python-snakemake-executor-plugin-slurm
Version:        0.5.2
Release:        %autorelease
Summary:        A Snakemake executor plugin for submitting jobs to a SLURM cluster

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-executor-plugin-slurm
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-executor-plugin-slurm-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  snakemake >= 8
%if %{with tests}
BuildRequires:  %{py3_dist pytest}
%endif

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-snakemake-executor-plugin-slurm
Summary:        %{summary}

%description -n python3-snakemake-executor-plugin-slurm %{common_description}


%prep
%autosetup -n snakemake-executor-plugin-slurm-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_executor_plugin_slurm


%check
%pyproject_check_import

%if %{with tests}
%pytest -v tests/tests.py
%endif


%files -n python3-snakemake-executor-plugin-slurm -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue Jun 04 2024 Packit <hello@packit.dev> - 0.5.2-1
- Update to 0.5.2 upstream release
- Resolves: rhbz#2290432

* Thu Apr 18 2024 Packit <hello@packit.dev> - 0.4.5-1
- Update to 0.4.5 upstream release
- Resolves: rhbz#2275831

* Mon Apr 15 2024 Packit <hello@packit.dev> - 0.4.4-1
- Update to 0.4.4 upstream release
- Resolves: rhbz#2275105

* Sat Apr 13 2024 Packit <hello@packit.dev> - 0.4.3-1
- Update to 0.4.3 upstream release
- Resolves: rhbz#2274845

* Fri Mar 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.2-1
- Initial package (close RHBZ#2261110)
## END: Generated by rpmautospec
